<?php if ( ! defined('BASEPATH')) exit('No direct script access allowed');

?>
<div id="expensetypesetting" class="col-md-4 col-sm-4 box nm" data-bind="css:{edit_box:_info.is_edit_mode}">
	<div class="panel panel-primary nb">
		<div class="panel-heading dib fw" style="padding:5px 15px;">
			<h4 class="dib vam" style="margin-top:5px;"><?php echo lang('TITLE_EXPENSE_TYPES'); ?></h4>
			<div class="pull-right" style="display:none" data-bind="visible:_info.is_edit_mode">
				<div class="btn-group">
					<button name="save" data-bind="click:save" class="btn btn-success btn-sm">
						<span class="icon-save icon-white"></span>&nbsp;<?php echo lang('SAVE'); ?>
					</button>
					<button name="cancel" data-bind="click:cancel" class="btn btn-primary btn-sm">
						<span class="icon-remove-sign icon-white"></span>
					</button>
				</div>
			</div>
			<div class="pull-right editbox" data-bind="hidden:_info.is_edit_mode">
				<button name="edit" class="btn btn-default btn-sm" data-bind="click:setEdit">
					<span class="icon-pencil"></span>&nbsp;<?php echo lang('EDIT'); ?>
				</button>
			</div>
			<div class="sep">&nbsp;</div>
		</div>
	</div>
	<div class="content" data-bind="hidden:_info.is_edit_mode, event:{dblClick:setEdit}">
		<div class="sub-title"><?php echo lang('MANAGE_EXPENSE_TYPES'); ?></div>
		<hr class="list-group-item-heading">
		<div data-bind="foreach:listing">
			<div class="gridData cm col-md-12 np">
				<span>
					<strong data-bind="text:name"></strong>
				</span>
				<span class="pull-right ar" data-bind="visible:unit_price()>0">
					<span class="badge small" data-bind="html:Otime.Entity.currency_html()+unit_price()+' / '+units()"></span>
				</span>
			</div>
		</div>
	</div>
	<div id="expensestype-edit" data-bind="visible:_info.is_edit_mode"></div>
</div>
