<?php if ( ! defined('BASEPATH')) exit('No direct script access allowed');
	$is_ajax_request	= $this->input->is_ajax_request();

	$user	= $this->session->userdata("user");

	/*$last_login_path	= get_cookie('last_login_path');
	$profile_image		= base_url().(empty($details['first_name'])?"assets/img/noUser.png":"/no-user.jpg");

	if (!empty($user) && !empty($user['user_image']))
	{
		$profile_image	= base_url() . 'files/photo/' . $user['user_image'];
	}
	else if( !empty($details) && !empty($details['user_image']))
	{
		$profile_image	= base_url() . $last_login_path.$details['user_image'];
	}*/

	$fields	= array(
		'email'		=> array(
			'id'			=> 'email',
			'name'			=> 'email',
			'type'			=> 'email',
			'class'			=> 'form-control input-lg',
			'placeholder'	=> lang('EMAIL'),
			'autofocus'	 	=> '',
			'minlength'		=> 6,
			'maxlength'		=> 80,
			'data-bind'		=> 'value:email, valueUpdate:\'afterkeydown\'',
		),
		'password'	=> array(
			'name'			=> 'password',
			'type'			=> 'password',
			'id'			=> 'password',
			'class'			=> 'form-control input-lg',
			'placeholder'	=> lang('PASSWORD'),
			'autofocus'	 => '',
			'minlength'		=> 6,
			'maxlength'		=> 12,
			'data-bind'		=> 'value:password, valueUpdate:\'afterkeydown\'',
		),
		'remember'	=> array(
			'name'			=> 'rememberpswd',
			'type'			=> 'checkbox',
			'label'			=> lang('REMEMBER_PASSWORD'),
			'value'			=> true,
		),
		'form_open'	=> array(
			'id'			=> 'login_form',
			'name'			=> 'client_login',
			'class'			=> 'col-md-4 col-md-offset-4 form-horizontal',
			'action'		=> site_url('user/login'),
			'method'		=> 'post',
			'data-bind'		=> 'submit:onSubmit',
		),
	);

	if (!$is_ajax_request)
	{
		$this->load->view("header");
	}

	$parse_signup	= parse_url(site_url('signup'));
	$signup_url = str_replace(base_url(), $parse_signup['scheme']	. '://' . $this->config->item('main_domain').'/', site_url('signup'));
//	$signup_url = site_url('signup');
?>
<div id="login-container" class="container" style="display:none;">
	<div id="alert_message">
		<?php echo out_message(); ?>
	</div>
	<?php echo form_open(null, $fields['form_open']); ?> 
		<div class="row-fluid">
			<div class="span12 error-box no-margin">
			</div>
		</div>  		
		<div class="form-group text-center " id="pro_img">
			  <!-- <img src="<?php echo $profile_image; ?>" style="width:100px;" onError="onImageError(this);" title="<?php echo !empty($details['first_name'])?$details['first_name']:''; ?>" fnt-size="70px">	  -->
		 </div>
		<div class="form-group">
			<h4 class="name_user text-center" data-bind="text:username, click:showEmail, visible:!isEmail()"></h4>
			<div class="input-group" data-bind="visible:isEmail">
				<span class="input-group-addon">@</span>
				<?php echo form_input($fields['email']); ?>
			</div>
		</div>
		<div class="form-group input-group"> 
			<span class="input-group-addon">
				<span class="icon-lock"></span>
			</span>  
			<?php echo form_input($fields['password']); ?>
		</div>
		<div class="form-group">
			<div class="checkbox">
				<label><?php echo form_input($fields['remember']); echo $fields['remember']['label']; ?></label>
			</div>
		</div>
		<input type="hidden" name="redirect_url" id="redirect_url" value=""/>
		<?php if ($domain) {?>
		<div class="form-group">
			<div class="btn-group btn-block">
			  <button class="btn btn-lg btn-primary col-md-6" type="submit">Login</button>
			  <a href="<?php echo site_url('oauth2/glogin'); ?>" class="btn btn-lg btn-success col-md-6"><small>with</small> Google</a>
			</div>
		</div>
		<?php } else { ?>
			<div class="form-group">
				<input type="submit" class="btn btn-lg btn-primary btn-block" value="<?php echo lang('LOGIN'); ?>" />
			</div>
		<?php } ?>
		<div class="row">
			<div class="pull-left">
				<a id="reset" href="<?php echo site_url('user/reset')?>" class="text-primary"><?php echo lang('FORGET_PASSWORD'); ?></a>
			</div>
			<?php if (defined('APP_EXP')) { ?>
				<div class="pull-right">
					<a href="<?php echo $signup_url; ?>" class="text-primary"><?php echo lang('REGISTER'); ?></a>
				</div>
			<?php } ?>
		</div>
	<?php echo form_close(); ?>
 </div>
<?php
	$jslang	= array();
	$tmp	= array('EMAIL_FIELD_REQUIRED', 'INVALID_EMAIL_ADDRESS', 'PASSWORD_FIELD_REQUIRED', 'PASSWORD_MIN_LENGTH_REQUIRED');
	foreach ($tmp as $val)
	{
		$jslang[$val]	= lang($val);
	}

	if (!$is_ajax_request)
	{
		$this->load->view("footer");
	}
?>
<script type="text/javascript">
	$(document).ready(function(){
		var login_data = {lang: <?php echo json_encode($jslang); ?>};
		var last_login = localStorage.getItem('ot_last_login')-0;
		var user_image	= '<?php echo base_url();?>'+'assets/img/noUser.png';
		var user_name	= '';
		var app_bind = function () {
			ko.applyBindings(new Login(login_data), $('#login-container').get(0));

			if($('.name_user').html()){
				$('#password').focus();
			}

			$('#pro_img').html('<img id="user_image" src="'+user_image+'" style="width:100px;height:100px;display:none" onError="onImageError(this);" title="'+user_name+'" fnt-size="70px">');
			$("body").removeClass("loading not");
			$('#user_image').delay(500).fadeIn();
			$('#login-container').delay(500).fadeIn();
		}
		if (last_login) {

			$.ajax({
			   url : 'user/last_login',
			   type: "POST",
			   data: {'user_id':last_login},
			   beforeSend: function(){
					$("body").addClass("loading");
			   },
			   success: function(resp) {
					 if (resp) {
						resp = JSON.parse(resp);
						$.extend(login_data, {username:resp.first_name, email:resp.email});
						user_name = resp.first_name;
						if (resp.user_image)
							user_image	= '<?php echo base_url();?>'+'uploads/'+'<?php echo $this->ot_app->get("entity_id"); ?>'+'/prof/200/'+resp.user_image;
						else 
							user_image	= '<?php echo base_url();?>'+'files/noimage.png';
					}
					app_bind();
			   }
			 });
		} else {
			app_bind();
		}		
	});
</script>
