<?php if ( ! defined('BASEPATH')) exit('No direct script access allowed');

require_once(APPPATH . 'libraries/base/Response_html.php');

class Response_ajax extends Response_html {

	public function __construct()
	{
		$this->CI 		= & get_instance();
	}

	public function write($key='', $val='')
	{
		$this->set_data($key, $val);

		$this->_type	= empty($this->_type) ? "success" : $this->_type;
		$code		= $this->message_code[$this->_type];
		$message	= $this->get_messages($this->_type);

		$return	= array($code, $message, $this->_data);

		header('Content-type: application/json');
		echo json_encode($return);
		exit;
		// return true;
	}

	public function show_error($message='')
	{
		echo(json_encode(array(false, lang('INVALID_REQUEST'))));
		return true;
	}
}
