<?php if ( ! defined('BASEPATH')) exit('No direct script access allowed');

require_once(APPPATH . '/models/users/mod.users_pm.php');

class Users_pmf extends Users_pm {

	function __construct()
	{
		parent::__construct();
	}
	
	public function get_user_roles()
	{
		$roles	= $this->config->config['user_role'];
		unset($roles['A'], $roles['F']);
		return $roles;
	}

	public function get_users($select='', $options=array())
	{
		$select	= empty($select) ? 'eu.user_id, eu.first_name, eu.last_name, eu.email, eu.user_role, eu.hourly_rate, eu.user_image, eu.department, eu.time_zone_code, eu.is_active, sum(t.hours) AS hours' : $select;
		$query	= $this->users_list_query($select, $options);
		$return = $query->result_array();
		
		if ($return && strpos($select,'user_role')!==false)
		{
			foreach ($return as $key => $row)
			{
				$row['is_edit_permission'] = false;
				if (is_pm($row['user_role']) || is_member($row['user_role']))
				{
					$row['is_edit_permission'] = true;
				}
				$return[$key]	= $row;
			}
		}
		
		return $return;
	}
	
//	public function get_user($user_id = 0)
//	{
//		$user_id = intval($user_id);
//
//		if ($user_id <= 0)
//		{
//			$this->error	= 'INVALID_REQUEST';
//			return false;
//		}
//
//		$this->db->select('user_id, first_name, last_name, email, user_role, hourly_rate, user_image, department, time_zone_code, is_active');
//		$this->db->from('entity_users');
//		$this->db->where(array('user_id' => $user_id, 'user_role !=' =>"'A', 'F'"));
//
//		$query = $this->db->get();
//
//		$data = $query->row_array();
//
//		return $data;
//	}

//	public function have_add_permission()
//	{
//		return true;
//	}
}
