<?php if ( ! defined('BASEPATH')) exit('No direct script access allowed');

if (defined('APP_EXP'))
{
	return "";
}
?>
<div id="smtp-setting" class="box col-md-4 col-sm-4 nm" data-bind="css:{edit_box:_info.is_edit_mode}">
	<div class="panel panel-primary nb">
		<div class="panel-heading dib fw" style="padding:5px 15px;">
			<h4 class="dib vam" style="margin-top:5px;"><?php echo lang('TITLE_SMTP'); ?></h4>
			<div class="pull-right" style="display:none" data-bind="visible:_info.is_edit_mode">
				<div class="btn-group">
					<button name="save" data-bind="click:save" class="btn btn-success btn-sm">
						<span class="icon-save icon-white"></span>&nbsp;<?php echo lang('SAVE'); ?>
					</button>
					<button name="cancel" data-bind="click:cancel" class="btn btn-primary btn-sm">
						<span class="icon-remove-sign icon-white"></span>
					</button>
				</div>
			</div>
			<div class="pull-right editbox" data-bind="hidden:_info.is_edit_mode">
				<button name="edit" class="btn btn-default btn-sm" data-bind="click:setEdit">
					<span class="icon-pencil"></span>&nbsp;<?php echo lang('EDIT'); ?>
				</button>
			</div>
			<div class="sep">&nbsp;</div>
		</div>
	</div>
	<div id="smtp-display" class="content" data-bind="hidden:_info.is_edit_mode, event:{dblClick:setEdit}">
		<div class="row nml nmr np h6 gridData">
			<span class="col-md-4"><?php echo lang('SMTP_HOST'); ?></span>
			<span data-bind="text:smtp_host" class="col-md-8"></span>
		</div>
		<div class="row nml nmr np h6 gridData">
			<span class="col-md-4"><?php echo lang('SMTP_PORT'); ?></span>
			<span data-bind="text:smtp_port" class="col-md-8"></span>
		</div>
		<div class="row nml nmr np h6 gridData">
			<span class="col-md-4"><?php echo lang('SMTP_USER'); ?></span>
			<span data-bind="text:smtp_user" class="col-md-8"></span>
		</div>
		<div class="row nml nmr np h6 gridData">
			<span class="col-md-4"><?php echo lang('SMTP_PASSWORD'); ?></span>
			<span data-bind="if:smtp_pass" class="col-md-8">*****</span>
		</div>
	</div>
	<div id="smtp-edit" data-bind="visible:_info.is_edit_mode"></div>
</div>