<?php	if ( ! defined('BASEPATH')) exit('No direct script access allowed');
	$ts	= $this->ot_user->get('time_zone_code');
	if (empty($ts))
	{
		$ts	= $this->ot_app->get('time_zone_code');
	}
	
?>
		<!-- end page-content -->
				<div aria-hidden="false" aria-labelledby="myModalLabel" role="dialog" class="modal in" id="aria_hidden" style="position:absolute;"></div>
		</div>
	<!-- end page-container -->
	</div>
<?php
	$timezones	= array();
	$this->lang->load('date');
	if(isset($this->timesheets))
	{
		$active_res	= $this->timesheets->get_active_details('t.time_sheet_id, pr.project_name, t.activity_name, td.is_progress, td.from_time, t.hours', array('t.entry_date' =>date('Y-m-d')));
		$sec = !empty($active_res['is_progress'])?true:false;
		if(isset($active_res['from_time']))
		$active_res['from_time'] = time_in_12_hour_format($active_res['from_time'], $sec);
	}

	$isLoggedIn	= (isset($this->ot_user) && $this->ot_user->get('user_id'));

	$task_count	= 0;
	$ll_time = '';
	if ($isLoggedIn && $this->ot_app->get('entity_id'))
	{
		$ll_time = $this->ot_user->get('last_login');

		$task_count	= $this->session->userdata('task_count');

		$cur_time	= time_in_12_hour_format($this->auth->get_timezone_date('H:i:s', true),true);
		foreach (timezones() as $key=>$val)
		{
			$timezones[$key]	= lang($key);
		}

//		$dayArray	= array('SU', 'MO', 'TU', 'WE', 'TH', 'FR', 'SA');
		$dayArray	= array('SU'=>'sunday', 'MO'=>'monday', 'TU'=>'tuesday', 'WE'=>'wednesday', 'TH'=>'thursday', 'FR'=>'friday', 'SA'=>'saturday');
		$non_working_days = array();

		if (NON_WORKING_DAYS)
		{
			$tmp	= explode(',', NON_WORKING_DAYS);
			foreach ($tmp as $val)
			{
				$non_working_days[] = array_search($val, array_keys($dayArray));
			}
		}

		$imgUrl	= base_url();

		if (defined('USE_AWS_S3') && USE_AWS_S3)
		{
			$imgUrl	= AWS_BUCKET_URL;
		}

		$usr = 0;
		if (is_pm()) {
			$usr = 1;
		} else if (is_pmf()) {
			$usr = 2;
		} else if (is_admin()) {
			$usr = 3;
		}
?>
<div class="modal" id="demo_popup" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true">
	<div class="modal-dialog" style="width:840px;">
		<div class="modal-content">	
			<div class="modal-body" style="min-hight:490px">
				<img id="demo_img" src="<?php echo base_url().'/assets/img/demo_video.jpg'?>" style="width: 800px;cursor:pointer" alt="Demo video" title="Demo video"/>
<!--			<button class="btn btn-default btn-lg" tabindex="8" type="button">
					<span class="icon-play">&nbsp;Demo video</span>
				</button> -->
			</div>
		</div>
	</div>
</div>
<script type="text/javascript">
$(document).ready(function(){
	Otime.Define(Otime, "version", "<?php echo OT_VERSION; ?>");
	Otime.Define(Otime, "siteUrl", "<?php echo site_url(); ?>");
	Otime.Define(Otime, "baseUrl", "<?php echo base_url(); ?>");
	Otime.Define(Otime, "fileUrl", "<?php echo $imgUrl; ?>");
	Otime.Define(Otime, "uploadPath", "<?php echo base_url(); ?>/users/image_upload");
	Otime.Define(Otime, "entityId", "<?php echo $this->ot_app->get('entity_id'); ?>"-0);
	Otime.Define(Otime, "UID", "<?php echo $this->ot_user->get('user_id'); ?>"-0);
	Otime.Define(Otime, "UFNAME", "<?php echo $this->ot_user->get('first_name'); ?>");
	Otime.Define(Otime, "ULNAME", "<?php echo $this->ot_user->get('last_name'); ?>");
	Otime.Define(Otime, "isM", !!<?php echo is_member()?1:0; ?>);
	Otime.Define(Otime, "isA", !!<?php echo is_admin()?1:0; ?>);
	Otime.Define(Otime, "isPM", !!<?php echo is_pm()?1:0; ?>);
	Otime.Define(Otime, "isPMF", !!<?php echo is_pmf()?1:0; ?>);
	Otime.Define(Otime, "usr", <?php echo $usr; ?>);
	//Otime.Define(Otime, "dateFormat", "<?php //echo DATE_FORMAT; ?>");
	//Otime.Define(Otime, "hourFormat", Boolean(<?php //echo ($this->ot_app->get('time_format') ? 1 : 0); ?>));
	Otime.dateFormat	= "<?php echo DATE_FORMAT; ?>";
	Otime.hourFormat	= Boolean(<?php echo ($this->ot_app->get('time_format') ? 1 : 0); ?>);

	// AEODTS	- Allow Edit Old Date Time Sheets
	Otime.Define(Otime, "AEODTS", "<?php echo (int)true; ?>");
	Otime.Define(Otime, "UMIP", "<?php echo $imgUrl . 'uploads/' . $this->ot_app->get('entity_id') . '/prof/120/'; ?>");
	Otime.Define(Otime, "USIP", "<?php echo $imgUrl . 'uploads/' . $this->ot_app->get('entity_id') . '/prof/38/'; ?>");

	Otime.Define(Otime, "tsReq", "<?php echo $this->ot_app->get('time_stamp_req'); ?>"-0);
	Otime.Define(Otime, "isModifyBillable", "<?php echo $this->ot_app->get('modify_billable'); ?>"-0);
	Otime.Define(Otime, "isAR", "<?php echo $this->ot_app->get('time_sheet_approval'); ?>"-0);

	Otime.Currency	= "<?php echo $this->ot_app->get('currency_symbol'); ?>";

	Otime.CustomDateFormats	= <?php echo json_encode($this->config->config["custom_date_formats"]); ?>;
	Otime.weekStart		= '<?php echo $dayArray[START_WEEK_ON]; ?>';
	Date.firstDayOfWeek	= <?php echo array_search(START_WEEK_ON, array_keys($dayArray)); ?>;
	Otime.NumFormat		= '<?php echo NUMBER_FORMAT; ?>';
	Date.timeZoneValue	= Otime.timeZoneValue	= Number(<?php echo timezones($ts); ?>);
	Otime.timezones	= <?php echo json_encode($timezones); ?>;
	Otime.time_zone_code	= "<?php echo $this->ot_user->get('time_zone_code'); ?>" || 'UTC';
	Otime.etzc	= "<?php echo $this->ot_app->get('time_zone_code'); ?>" || 'UTC';
	Otime.leave.days	= <?php echo json_encode($non_working_days); ?>;
	Otime.leave.date	= <?php echo json_encode(($this->ot_app->get('dayoff'))?$this->ot_app->get('dayoff'):array()); ?>;
	Otime.Define(Otime.leave, "skip", !!(<?php echo $this->ot_app->get('skip_daysoff'); ?>-0));
	Otime.fiscal_year_month	= <?php echo $this->ot_app->get('fiscal_year_month'); ?>;
	Otime.Menu.activeTask	= <?php echo json_encode((isset($active_res))?$active_res:null); ?>;
	Otime.Menu.curTime	= '<?php echo $cur_time; ?>';
	Otime.timeSeparator		= '<?php echo $this->ot_app->get('period_format') ? "." : ":"; ?>';
	Otime.taskCount	= <?php echo $task_count ? $task_count : 0; ?>;
	Otime.userDetails	= {
		company_name: "<?php echo $this->ot_app->get('name'); ?>",
		id:"<?php echo $this->ot_user->get('user_id'); ?>",
		name:"<?php echo $this->ot_user->get('first_name'); ?>",
		image:"<?php echo $this->ot_user->get('user_image'); /* ?>",
		email: "<?php echo $this->ot_user->get('email'); ?>",
		department: "<?php echo $this->ot_user->get('department'); */?>"
	};
	Otime.ready();
	Otime.Storage.keyPrefix	= "OT_" + Otime.UID + "_";
	Otime.Referer	= "<?php echo $this->agent->referrer(); ?>";
	Otime.ll_time = "<?php echo $ll_time; ?>";
	if (!Otime.ll_time) {
		$("#demo_popup").modal('show');
	}
	
	if (Otime.UID) {
		localStorage.setItem('ot_last_login', Otime.UID);
	}

	// show hide approve menu based on time sheet approve
	if (!Otime.isAR)
		$('ul.dropdown-menu li.approve').hide();
	else
		$('ul.dropdown-menu li.approve').show();

	$('#demo_img').click(function(){
		Otime.ll_time = 1;
		$('#demo_popup .modal-body').html('<iframe width="800" height="450" src="https://www.youtube.com/embed/vSXCeevk4tI" frameborder="0" allowfullscreen></iframe>');
	});
});
</script>
<?php } ?>
	</body>
</html>
