<?php if ( ! defined('BASEPATH')) exit('No direct script access allowed');

	$isTimeSheet	= false;
	if (!empty($module) && $module == 'TS')
	{
		$isTimeSheet	= true;
	}
?>
<div id="right-pane" class="col-xs-12 col-sm-6 col-md-6 col-lg-4 dib open" data-bind="with:selectedItem">
	<div id="comments-container" class="panel sidebar-fixed-header panel-custom nm">
		<div class="panel-body minrp">
			<style type="text/css">.panel.sidebar-fixed-header .panel-body{top:0;}</style>
			<div class="row nm mytask_header pr" data-bind="attr:{title:name}">
				<h4 class="nm" style="display:inline;" data-bind="text:name"></h4>
				<a href="javascript:;" data-bind="click:$parent.swapDetails" class="btn btn-xs btn-none pa" style="right:17px">
					<i data-bind="hidden:$parent.is_detail" title="Edit" class="icon icon-edit gray"></i>
					<i data-bind="visible:$parent.is_detail" title="Back" class="icon icon-arrow-left gray"></i>
				</a><?php if($isTimeSheet):
				?><a href="javascript:;" data-bind="click:$parent.swapPane" class="btn btn-xs btn-none pa" style="right:0px"><i class="icon icon-remove gray"></i></a><?php
				endif;
			?></div>
			</br>
			<div class="row nm">
				<span class="h5" style="border-left-width:5px;border-left-style:solid;padding-left:5px;" data-bind="visible:project_name, style:{'border-left-color':project_color},text:project_name"></span>
				<label class="label label-info bg-gray" data-bind="text:task_type_name"></label>
				<span class="pull-right" data-bind="text:'#'+task_number()"></span><?php if (!$isTimeSheet):
				?><div class="pull-right" style="margin:1px 8px;">
					<span data-bind="html:timesheet()._info.hours_disp" style="margin:0px 8px;"></span>
					<span class="icon icon-play cp" data-bind="hidden:timesheet().is_running, click:$parent.start"></span>
					<span class="icon icon-pause cp" data-bind="visible:timesheet().is_running, click:$parent.start"></span>
				</div><?php
				endif;
			?></div>
			</br>
			<!-- ko if:$parent.rp_min_view -->
			<table class="table table-noborder mytasks_table1 nm" style="border-top:1px solid #ddd;border-bottom:1px solid #DDD;">
				<colgroup><col style="width:55px;"><col style="width:80px;"><col style="width:80px;border-left:1px solid #ddd;"><col style=""></colgroup>
				<tbody>
					<tr>
						<td class="gray small"><?php echo lang('EST_HRS'); ?></td>
						<td class="small" data-bind="hours:{val:estimated_hours,showNull:'---'}"></td>
						<td class="gray small vam"><?php echo lang('STATUS'); ?></td>
						<td class="assigned">
							<!-- ko with:task_status --><span class="label status" data-bind="text:name, style:{backgroundColor:bg_color, color:text_color}"></span><!-- /ko -->
							<select tabindex="31" data-bind="options:$parent.task_status, optionsText:'name', optionsValue:'task_status_id', value:task_status_id, chosen:true" class="form-control input-sm"></select>
						</td>
					</tr>
					<tr>
						<td class="gray small"><?php echo lang('ACT_HRS'); ?></td>
						<td class="small" data-bind="hours:{val:worked_hours,showNull:'---'}"></td>
						<td><span class="gray small"><?php echo lang('ASSIGNED_TO'); ?></span></td>
						<td class="assigned">
							<span data-bind="text:assignee" class="small blue"></span>
							<select tabindex="32" data-bind="foreach:$parent.get_users(project_id), value:assignee_id, chosen:{imgSelect:true}" class="form-control input-sm">
								<option data-bind="value:user_id, text:first_name, attr:{'data-img-src':user_image}"></option>
							</select>
						</td>
					</tr>
					<tr>
						<td class="gray small"><?php echo lang('DUE'); ?></td>
						<td class="dt-picker blue">
							<small class="dib fw fh pull-left nm disp" data-bind="css:{'txt-danger':is_over_due}, date:{date:finish_date}" style="padding:5px;"></small>
							<small class="disp nm icon icon-calendar blue" data-bind="hidden:finish_date" style="padding:5px;left:auto;right:5px;"></small>
							<input type="text" tabindex="33" placeholder="Due Date" class="dtpicker npl npr cp nm" data-bind="value:finish_date, datepicker:{container:'#right-pane',orientation:'right'}" name="end">
						</td>
						<td><span class="gray small"><?php echo lang('FOLLOWERS'); ?></span></td>
						<td class="assigned">
							<span data-bind="text:followers_disp" class="small blue"></span>
							<select tabindex="34" multiple="multiple" data-bind="foreach:$parent.get_users(project_id).slice(1), selectedOptions:followers, chosen:{imgSelect:true}" class="form-control input-sm">
								<option data-bind="value:user_id, text:first_name, attr:{'data-img-src':user_image}"></option>
							</select>
						</td>
					</tr>
				</tbody>
			</table>
			<div class="" style="border-bottom: 1px solid #CCC;">
				<textarea data-bind="value:description, autosize:true" class="form-control nb desc" rows="2" cols="" placeholder="Enter <?php echo lang('DESCRIPTION'); ?>"></textarea>
			</div>
			</br>
			<?php $this->load->view('comments/timeline', array('module' => 'minimal', 'is_script_only' => '1')); ?>
			<!-- /ko -->
			<!-- ko ifnot:$parent.rp_min_view -->
			<!-- ko ifnot:$parent.is_detail -->
			<div class="tab-pane active">
				<?php $this->load->view('comments/timeline', array('module' => 'expanded', 'is_script_only' => '1')); ?>
				<span class="h5" data-bind="if:(!task_id() && name())"><?php echo lang('PLEASE_SAVE_THE_TASK'); ?></span>
			</div>
			<!-- /ko -->
			<!-- ko if:$parent.is_detail -->
			<div class="tab-pane active" id="details">
				<style type="text/css">#details.tab-pane table tbody tr td div.form-group{margin:0;}#details.tab-pane table tbody tr td div.form-group > span{width:85px;text-align:left;}</style>
				<table class="table table-condensed table-noborder">
					<tbody>
						<tr>
							<td colspan="4">
								<div class="fw form-group input-group">
									<span class="input-group-addon input-sm"><?php echo lang('TASK'); ?>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
									<input class="form-control" tabindex="31" type="text" data-bind="value:name" placeholder="<?php echo lang('TASK_NAME')?>" maxlength="500" />
								</div>
							</td>
						</tr>
						<tr>
							<td colspan="4">
								<div class="fw form-group input-group">
									<span class="input-group-addon input-sm"><?php echo lang('DESCRIPTION'); ?></span>
									<textarea data-bind="value:description, autosize:true" class="form-control desc" rows="2" cols="" placeholder="Enter <?php echo lang('DESCRIPTION'); ?>"></textarea>
								</div>
							</td>
						</tr>
						<tr>
							<td colspan="4" style="overflow:visible;">
								<div class="fw form-group input-group">
									<span class="input-group-addon input-sm"><?php echo lang('TASK_TYPE'); ?></span>
									<select tabindex="32" data-bind="foreach:$parent.get_tasktypes(project_id), value:task_type_id, chosen:true" class="form-control input-sm"><option data-bind="value:task_type_id, text:name"></option></select>
								</div>
							</td>
						</tr>
						<tr>
							<td colspan="4" style="overflow:visible;">
								<div class="fw form-group input-group">
									<span class="input-group-addon input-sm"><?php echo lang('STATUS'); ?>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
									<select tabindex="33" data-bind="options:$parent.task_status, optionsText:'name', optionsValue:'task_status_id', value:task_status_id, chosen:true" class="form-control input-sm"></select>
								</div>
							</td>
						</tr>
						<tr>
							<td colspan="2">
								<div class="fw form-group input-group">
									<span class="input-group-addon input-sm"><?php echo lang('PROGRESS'); ?>&nbsp;&nbsp;&nbsp;</span>
									<input class="form-control input-sm ar" type="number" min="0" max="100" step="5" tabindex="34" data-bind="value:percentage_complete,numberOnly:true" placeholder="<?php echo lang('PERCENTAGE_COMPLETE')?>" maxlength="3" />
									<i class="input-group-addon input-sm">%</i>
								</div>
							</td>
							<td colspan="2">
								<div class="fw form-group input-group">
									<span class="input-group-addon input-sm"><?php echo lang('ACTUAL_HOURS'); ?></span>
									<span class="form-control input-sm" style="cursor:not-allowed;" data-bind="hours:{val:worked_hours}"></span>
								</div>
							</td>
						</tr>
						<tr>
							<td colspan="4" style="overflow:visible;">
								<div class="fw form-group input-group">
									<span class="input-group-addon input-sm"><?php echo lang('ASSIGNEE'); ?></span>
									<select tabindex="35" data-bind="foreach:$parent.get_users(project_id), value:assignee_id, chosen:{imgSelect:true}" class="form-control input-sm"><option data-bind="value:user_id, text:first_name, attr:{'data-img-src':user_image}"></option></select>
								</div>
							</td>
						</tr>
						<tr>
							<td colspan="4" style="overflow:visible;">
								<div class="fw form-group input-group">
									<span class="input-group-addon input-sm"><?php echo lang('FOLLOWERS'); ?>&nbsp;&nbsp;&nbsp;</span>
									<select tabindex="36" multiple="multiple" data-bind="foreach:$parent.get_users(project_id).slice(1), selectedOptions:followers, chosen:{imgSelect:true}" class="form-control input-sm"><option data-bind="value:user_id, text:first_name, attr:{'data-img-src':user_image}"></option></select>
								</div>
							</td>
						</tr>
						<tr>
							<td colspan="2" style="overflow:visible;">
								<div class="fw form-group input-group">
									<span class="input-group-addon input-sm"><?php echo lang('PRIORITY'); ?>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
									<select tabindex="37" data-bind="value:task_priority, chosen:true" class="form-control input-sm nm">
									<?php foreach ($task_priority as $key=>$val): ?><option value="<?php echo $key; ?>"><?php echo $val; ?></option><?php endforeach; ?>
									</select>
								</div>
							</td>
							<td colspan="2">
								<div class="fw form-group input-group">
									<span class="input-group-addon input-sm"><?php echo lang('EST_HRS'); ?></span>
									<input tabindex="38" class="form-control input-sm" type="number" min="0" step="2" data-bind="value:estimated_hours,numberOnly:true" placeholder="<?php echo lang('ESTIMATED_HOURS')?>" maxlength="3" />
								</div>
							</td>
						</tr>
						<tr>
							<td colspan="2">
								<div class="fw form-group input-group">
									<span class="input-group-addon input-sm"><?php echo lang('DURATION'); ?>&nbsp;&nbsp;&nbsp;&nbsp;</span>
									<input tabindex="39" class="form-control input-sm" type="number" min="0" max="365" step="1" data-bind="value:duration,numberOnly:true" placeholder="<?php echo lang('DURATION')?>" class="form-control" maxlength="3" />
								</div>
							</td>
							<td colspan="2"><?php /* ?>
								<div class="checkbox">
									<label><input type="checkbox" data-bind="checked:is_milestone" style="margin-top:0px;"/><?php echo lang('MILESTONE'); ?></label>
								</div>*/ ?>
							</td>
						</tr>
						<tr>
							<td colspan="2">
								<div class="fw form-group input-group">
									<span class="input-group-addon input-sm"><?php echo lang('START_DATE'); ?>&nbsp;&nbsp;</span>
									<div class="pull-left form-control pr dt-picker">
										<h4 style="padding:7px;" data-bind="date:{date:start_date}" class="form-control pull-left nm disp"></h4>
										<input tabindex="40" type="text" name="start" data-bind="value:start_date, datepicker:{container:'#right-pane'}" class="input-small dtpicker npl npr cp" placeholder="<?php echo lang('START_DATE')?>">
									</div>
								</div>
							</td>
							<td colspan="2">
								<div class="fw form-group input-group">
									<span class="input-group-addon input-sm"><?php echo lang('FINISH_DATE'); ?></span>
									<div class="pull-left form-control pr dt-picker">
										<h4 style="padding:7px;" data-bind="date:{date:finish_date}" class="form-control pull-left nm disp"></h4>
										<input tabindex="41" type="text" name="end" data-bind="value:finish_date, datepicker:{container:'#right-pane',orientation:'right'}" class="input-small dtpicker npl npr cp" placeholder="<?php echo lang('FINISH_DATE')?>">
									</div>
								</div>
							</td>
						</tr>
						<tr>
							<td colspan="2">
								<span><?php echo lang('CREATED_BY'); ?></span>
								<label class="control-label h4 nm" data-bind="text:created_by"></label>
							</td>
							<td colspan="2">
								<div class="pull-right btn-group">
									<a class="btn btn-sm btn-success" tabindex="42" href="javascript:;" data-bind="click:$parent.save" title="<?php echo lang('SAVE'); ?>">
										<i class="icon icon-save" style="color:#FFFFFF;"></i>&nbsp;&nbsp;<?php echo lang('SAVE'); ?>
									</a><?php if ($isTimeSheet): ?>
									<a class="btn btn-sm btn-primary" tabindex="42" data-bind="click:$parent.swapPane" href="javascript:;" title="<?php echo lang('CLOSE'); ?>">
										<i class="icon icon-remove" style="color:#FFFFFF;"></i>
									</a><?php endif;
								?></div>
							</td>
						</tr>
					</tbody>
				</table>
			</div>
			<!-- /ko -->
			<!-- /ko -->
		</div>
	</div>
</div>
